/*
 * $Id: readme.prg,v 1.1 2000/01/14 00:55:10 dholm Exp $
 */

/*  $DOC$
 *  $FUNCNAME$
 *     OVERVIEW
 *  $CATEGORY$
 *     Document
 *  $ONELINER$
 *     HARBOUR Read me
 *  $DESCRIPTION$
 *
 *                        The Harbour project
 *
 * ************************************************************************
 * *  This file contains information on obtaining, installing, and using  *
 * *  Harbour.  Please read it *completely* before asking for help.       *
 * ************************************************************************

 * Harbour is a free implementation of an xBase language compiler. It is
 * designed to be source code compatible with the CA-Clipper(r) compiler.
 * That means that if you've got some code that would compile using
 * CA-Clipper(r) then it should compile under Harbour. The Harbour-Project
 * web page is:
 *               http://www.Harbour-Project.org/
 *
 *
 * Status and other information is always available from the web site.
 * There is a Harbour mailing list. Harbour is still at a very early
 * stage of development, so the mailing list is very much a Developers
 * only list, although every body is welcome to join in the discussions.
 *
 * We would like you to join the Harbour development team. If you are
 * interested you may suscribe to our mailing list and start contributing
 * to this free public project.
 *
 * Please feel free to report all questions, ideas, suggestions, fixes,
 * code, etc. you may need and want. With the help of all of you, the Harbour
 * compiler and runtime libraries will become a reality very soon.
 *
 *
 * What this distribution contains
 * ===============================
 *
 * This distribution is a Source code only distribution. It does not contain
 * any executable files. Executable versions of Harbour are available from
 * the web site. Executable versions of Harbour DO NOT create runable
 * programs. Harbour at the moment produces C output code, which must be
 * compiled with the Harbour Virtual Machine and the support libraries
 * in order to create a functioning program.
 * Please test running Harbour against your Clipper source code and report
 * any problems that might occur.
 *
 * Very important: The preprocessor functionality is not built in yet. So
 * you may test only Clipper language without preprocessor commands, etc.
 *
 *
 * Installation
 * ------------
 *
 * 1. Unzip with Harbour zip file using pkunzip or equivalent.
 *         E.G. pkunzip -d build72.zip
 *    This will create Harbour/ directory and all the relevant sub
 *    directories.
 *
 * 2. Compile Harbour using your C compiler. Make files for different
 *    platforms are included in the <WHERE ARE THEY?> directory.
 *
 *
 * --- COPYRIGHT ---
 *
 * What copyright information do we have
 *
 *
 * --- LICENCE ---
 *
 * Information about the License for usage of Harbour is available in the
 * file LICENCE.TXT (when we have a license)
 *
 * --- DISCLAIMER ---
 *
 * Participants of The Harbour Project assume no responsibility for errors or omissions in these materials.
 *
 * THESE MATERIALS ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
 *
 * Participants of The Harbour Project further do not warrant the accuracy or completeness of the code, information, text, output or any other items contained within these materials. Participants of The Harbour Project shall not be liable for any special, direct, indirect, incidental, or consequential damages, including without limitation, lost revenues or lost profits, which may result from the use or mis-use of these materials.
 *
 * The information in The Harbour Project is subject to change without notice and does not represent any future commitment by the participants of The Harbour Project.
 *
 * The Harbour Project
 *
 *  $SEEALSO$
 *     License
 *  $END$
 */
